WordPress.org

Ready to get started?Download WordPress

Plugin Directory

Voxpress

Voxpress integrates your wordpress site with the Ubivox newsletter service. Subscribe, unsubscribe, archive lists and much more.

Voxpress is the official plugin for integrating the Ubivox newsletter service with your wordpress site. Voxpress makes it possible to subscribe, unsubscribe and view archives of your newsletters.

Widgets

When Voxpress is installed you will get access to the following widgets:

  • Ubivox Subscription
  • Ubivox Unsubscription
  • Ubivox Archive
  • Ubivox Control Panel
  • Ubivox Verified Sender Seal

Widget: Subscription This widget will let you insert a subscription form into any of your widget areas. The widget can either be an inline widget but can also be a pop up widget.

The pop up widget will let you create a modal box when the page is loaded (or after a given delay) to prompt the visitor to subscribe. The modal box can be styled individual through the widget and you can have multiple subscription widgets on a page.

Widget: Unsubscription The unsubscribe widget will insert a form for unsubscribing a mail list on Ubivox. You can have multiple unsubscribe widgets on a page.

Widget: Archive The archive widget will show a list of links to the most recent archived newsletters on a selected list. The archived newsletters will open in a new window and show the newsletter archive view from Ubivox

Widget: Control Panel The control panel widget will provide a link to your Ubivox Subscriber control panel, where your subscribers can login and manage their subscriptions and data given to your.

Widget: Verified Sender Seal The verified sender widget will display your verified sender seal on your website.

Modal view of firect links to archived newsletters

When the plugin is activated you will be able to link to a raw version of an archived newsletter and it will be displayed in a modal popup, avoiding that your users leave your site.

Administrative features

You'll also be able to view latest sent newsletters, drafts and statistics directly in you wordpress admin interface.

Requires: 3.4 or higher
Compatible up to: 3.8.3
Last Updated: 2014-1-10
Downloads: 315

Ratings

0 stars
0 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.